Subject: Re: bug#64167: 29.0.92; Ahead-of-time native compilation failed Emacs 29.0.92

From: Eason Huang <[email-masked]>
Date: Wed, 21 Jun 2023 14:05:13 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Corwin Brust <[email-masked]>
>> Date: Mon, 19 Jun 2023 09:33:03 -0500
>>
>> On Mon, Jun 19, 2023 at 8:24 AM Eason Huang <[email-masked]> wrote:
>> >
>> > I try to build Emacs 29.0.92 on Windows 11, the `aot` option have no
>> > affect. After I start Emacs, still need to compile the built-in
>> > packages, such org,cc-mode and so on.
>>
>> I can reproduce this.   Additionally, expressly passing
>> --WITH_FULL_AOT=1 to make also has no effect.
>>
>> Both appear to work fine for non-release builds (i.e., "snapshot"
>> builds made in-tree, vs building from a release tarball as we are
>> doing in this case).
>
> The difference is that in the release tarball you have all the *.elc
> files up-to-date, so the native-compilation rule doesn't kick in.
> Remove all the *.elc file, and I'm guessing that the aot build will
> work.
Yes, you are right. I tried to download source code from
https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-2bad5829ff76538774676f7274f40ce7baf04c73.tar.gz

And it can be build --with-native-compilation=aot

But it will failed with some errors on Windows 10 and Windows 11:
```
  ELC+ELN  erc/erc-menu.elc
  ELC+ELN  erc/erc-netsplit.elc
  ELC+ELN  erc/erc-networks.elc

Backtrace:
00007ff6a78ca72e
00007ff6a7798b21
00007ff6a77b9611
00007ff6a792ee8a
00007ffa37c47ff0
00007ffa38712477
00007ffa386c14ec
```
you can see the details on line 2521 in the build log with the link below:

https://gist.github.com/Eason0210/f97220ec5fac3565036975e97ba16098

If you need more infomation, please let me known.

-- 
Eason Huang